Last Comment Bug 649820 - Change browser CSS based on Android OS version
: Change browser CSS based on Android OS version
Status: VERIFIED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: P1 enhancement (vote)
: Firefox 6
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
:
Mentors:
Depends on: 380401 650388 650390
Blocks: 655762 653134
  Show dependency treegraph
 
Reported: 2011-04-13 15:04 PDT by Madhava Enros [:madhava]
Modified: 2011-09-14 22:44 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch - base (422.53 KB, patch)
2011-05-09 20:09 PDT, Mark Finkle (:mfinkle) (use needinfo?)
mbrubeck: review+
21: review+
Details | Diff | Splinter Review

Description Madhava Enros [:madhava] 2011-04-13 15:04:01 PDT
We'd like to be able to change the styling of the chrome based on what version of Android the user is running. Fitting in on Froyo will require a different look to fitting in on Gingerbread or (even more so) Honeycomb.
Comment 1 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-09 20:09:28 PDT
Created attachment 531235 [details] [diff] [review]
patch - base

This patch uses the newly landed osversion support for Android to create a gingerbread and honeycomb theme folders. The patch does not add any new CSS of images, just makes it easy to do that later.

Notes:
* Creating a 3 tiered theme system based on versions (froyo, gingerbread and honeycomb) is not as easy as it will be. For now, the middle tier (gingerbread) must have it's osversions explicitly named. We'll support ranged based operators in the future. For now, we know that gingerbread is 2.3, 2.3.3, 2.3.4
* The gingerbread and honeycomb folders only hold images for now. And only images I was fairly sure would change. The *.css files are reused from the default theme. As we need to override *.css files, we can add them to the gingerbread and honeycomb folders; and update the jar.mn file.
* Desktop builds will use the current (froyo theme)

The patch is big, but 99% is the images. The magic happens in jar.mn
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-09 20:10:13 PDT
Comment on attachment 531235 [details] [diff] [review]
patch - base

Two reviewers are better than one
Comment 3 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-05-10 07:11:03 PDT
Comment on attachment 531235 [details] [diff] [review]
patch - base

As said on IRC I'm a bit worried about the impact on the size of the APK, many users are complaining about it (sigh)
Comment 4 Matt Brubeck (:mbrubeck) 2011-05-10 10:44:07 PDT
Comment on attachment 531235 [details] [diff] [review]
patch - base

I agree with vingtetun's size concerns.  Especially for Froyo vs. Gingerbread, it might make more sense to share most of the CSS and assets, and just add overrides for the differences.
Comment 5 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-10 11:01:48 PDT
(In reply to comment #4)

> I agree with vingtetun's size concerns.  Especially for Froyo vs.
> Gingerbread, it might make more sense to share most of the CSS and assets,
> and just add overrides for the differences.

Not opposed to sharing with caveats:
* Let's see what can be shared in the end
* Let's see what the change in size ends up being
* Don't make a complicated system to make it happen. I don't want multiple chrome skin URIs to worry about and maintain.
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-05-10 12:42:49 PDT
pushed:
http://hg.mozilla.org/mozilla-central/rev/aa889d945ef9

additional work will happen in the blocked bugs
Comment 7 Andreea Pod 2011-05-11 07:10:28 PDT
Verified fixed according to Tinderboxpushlog.

Note You need to log in before you can comment on or make changes to this bug.